<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/ActionTakeMaterialToHandsSwitch.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d2a/_action_take_material_to_hands_switch_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionTakeMaterialToHandsSwitch.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d2a/_action_take_material_to_hands_switch_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../dd/da3/class_action_take_material_to_hands_switch.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dd/da3/class_action_take_material_to_hands_switch.html">ActionTakeMaterialToHandsSwitch</a>: <a class="code hl_class" href="../../d1/d91/class_action_single_use_base.html">ActionSingleUseBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../dd/da3/class_action_take_material_to_hands_switch.html#a229e76e0f07172be1b325a5f72949bb6">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da3/class_action_take_material_to_hands_switch.html#a229e76e0f07172be1b325a5f72949bb6">ActionTakeMaterialToHandsSwitch</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#switch_to_next_material&quot;</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../dd/da3/class_action_take_material_to_hands_switch.html#af6cbc2a60e06e31ce65bbc07a11b42e9">    8</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da3/class_action_take_material_to_hands_switch.html#af6cbc2a60e06e31ce65bbc07a11b42e9">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {       </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../dd/d44/class_c_c_i_not_present.html">CCINotPresent</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../dc/ddd/class_c_c_t_non_ruined.html">CCTNonRuined</a>( <a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#ad68a4f395e456deba7be4a17a84e2e4b">BASEBUILDING</a> );</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    }</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../dd/da3/class_action_take_material_to_hands_switch.html#ad69f6ef45a39a3c43dd1b68b56b915be">   14</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/da3/class_action_take_material_to_hands_switch.html#ad69f6ef45a39a3c43dd1b68b56b915be">IsInstant</a>()</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../dd/da3/class_action_take_material_to_hands_switch.html#a9a39065ee9e55a4d3c006b51b668d24e">   19</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/da3/class_action_take_material_to_hands_switch.html#a9a39065ee9e55a4d3c006b51b668d24e">RemoveForceTargetAfterUse</a>()</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../dd/da3/class_action_take_material_to_hands_switch.html#a2b5cb8399addf932ee6208a6dbd037f3">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/da3/class_action_take_material_to_hands_switch.html#a2b5cb8399addf932ee6208a6dbd037f3">UseAcknowledgment</a>()</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../dd/da3/class_action_take_material_to_hands_switch.html#a732f5018be85d7a4a23ef95407681f9b">   29</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../dd/da3/class_action_take_material_to_hands_switch.html#a732f5018be85d7a4a23ef95407681f9b">GetInputType</a>()</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d5/d8d/class_interact_action_input.html">InteractActionInput</a>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../dd/da3/class_action_take_material_to_hands_switch.html#ae2906259965fada33745b246584679ea">   34</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/da3/class_action_take_material_to_hands_switch.html#ae2906259965fada33745b246584679ea">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> target_entity = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast( target.GetObject() );</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">if</span> ( target_entity &amp;&amp; target_entity.CanUseConstruction() )</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            <a class="code hl_class" href="../../dd/d90/class_base_building_base.html">BaseBuildingBase</a> base_building = <a class="code hl_class" href="../../dd/d90/class_base_building_base.html">BaseBuildingBase</a>.Cast( target_entity );</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            <span class="keywordflow">if</span>(!base_building.<a class="code hl_function" href="../../dd/d90/class_base_building_base.html#a0b53f2f4465ee54a6448aa1a04ca4fb5">IsPlayerInside</a>(player,<span class="stringliteral">&quot;&quot;</span>))</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            <a class="code hl_class" href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a> construction_action_data = player.GetConstructionActionData();</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <span class="keywordtype">string</span> main_part_name = target_entity.GetActionComponentName( target.GetComponentIndex() );</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            construction_action_data.<a class="code hl_function" href="../../d9/dd2/class_construction_action_data.html#ae89a40d29cae3e11dfcd3db2996f424a">RefreshAttachmentsToDetach</a>( target_entity, main_part_name );</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <span class="keywordflow">if</span> ( construction_action_data.<a class="code hl_function" href="../../d9/dd2/class_construction_action_data.html#a6511cef58dc75c05e837dae2a5de790c">GetAttachmentsToDetachCount</a>() &gt; 1 )</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../dd/da3/class_action_take_material_to_hands_switch.html#a2a9d305337e7bc5e2054b2a18fb2c197">   57</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da3/class_action_take_material_to_hands_switch.html#a2a9d305337e7bc5e2054b2a18fb2c197">Start</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        super.Start( action_data );</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="comment">//set next index</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <a class="code hl_class" href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a> construction_action_data = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetConstructionActionData();</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        construction_action_data.<a class="code hl_function" href="../../d9/dd2/class_construction_action_data.html#ac8b3bfa8aaac007b5b27a03c6255e37e">SetNextAttachmentIndex</a>();</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }   </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>}</div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_single_use_base_html"><div class="ttname"><a href="../../d1/d91/class_action_single_use_base.html">ActionSingleUseBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d93/_action_single_use_base_8c_source.html#l00041">ActionSingleUseBase.c:42</a></div></div>
<div class="ttc" id="aclass_action_take_material_to_hands_switch_html"><div class="ttname"><a href="../../dd/da3/class_action_take_material_to_hands_switch.html">ActionTakeMaterialToHandsSwitch</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html#l00001">ActionTakeMaterialToHandsSwitch.c:2</a></div></div>
<div class="ttc" id="aclass_action_take_material_to_hands_switch_html_a229e76e0f07172be1b325a5f72949bb6"><div class="ttname"><a href="../../dd/da3/class_action_take_material_to_hands_switch.html#a229e76e0f07172be1b325a5f72949bb6">ActionTakeMaterialToHandsSwitch::ActionTakeMaterialToHandsSwitch</a></div><div class="ttdeci">void ActionTakeMaterialToHandsSwitch()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html#l00003">ActionTakeMaterialToHandsSwitch.c:3</a></div></div>
<div class="ttc" id="aclass_action_take_material_to_hands_switch_html_a2a9d305337e7bc5e2054b2a18fb2c197"><div class="ttname"><a href="../../dd/da3/class_action_take_material_to_hands_switch.html#a2a9d305337e7bc5e2054b2a18fb2c197">ActionTakeMaterialToHandsSwitch::Start</a></div><div class="ttdeci">override void Start(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html#l00057">ActionTakeMaterialToHandsSwitch.c:57</a></div></div>
<div class="ttc" id="aclass_action_take_material_to_hands_switch_html_a2b5cb8399addf932ee6208a6dbd037f3"><div class="ttname"><a href="../../dd/da3/class_action_take_material_to_hands_switch.html#a2b5cb8399addf932ee6208a6dbd037f3">ActionTakeMaterialToHandsSwitch::UseAcknowledgment</a></div><div class="ttdeci">override bool UseAcknowledgment()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html#l00024">ActionTakeMaterialToHandsSwitch.c:24</a></div></div>
<div class="ttc" id="aclass_action_take_material_to_hands_switch_html_a732f5018be85d7a4a23ef95407681f9b"><div class="ttname"><a href="../../dd/da3/class_action_take_material_to_hands_switch.html#a732f5018be85d7a4a23ef95407681f9b">ActionTakeMaterialToHandsSwitch::GetInputType</a></div><div class="ttdeci">override GetInputType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html#l00029">ActionTakeMaterialToHandsSwitch.c:29</a></div></div>
<div class="ttc" id="aclass_action_take_material_to_hands_switch_html_a9a39065ee9e55a4d3c006b51b668d24e"><div class="ttname"><a href="../../dd/da3/class_action_take_material_to_hands_switch.html#a9a39065ee9e55a4d3c006b51b668d24e">ActionTakeMaterialToHandsSwitch::RemoveForceTargetAfterUse</a></div><div class="ttdeci">override bool RemoveForceTargetAfterUse()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html#l00019">ActionTakeMaterialToHandsSwitch.c:19</a></div></div>
<div class="ttc" id="aclass_action_take_material_to_hands_switch_html_ad69f6ef45a39a3c43dd1b68b56b915be"><div class="ttname"><a href="../../dd/da3/class_action_take_material_to_hands_switch.html#ad69f6ef45a39a3c43dd1b68b56b915be">ActionTakeMaterialToHandsSwitch::IsInstant</a></div><div class="ttdeci">override bool IsInstant()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html#l00014">ActionTakeMaterialToHandsSwitch.c:14</a></div></div>
<div class="ttc" id="aclass_action_take_material_to_hands_switch_html_ae2906259965fada33745b246584679ea"><div class="ttname"><a href="../../dd/da3/class_action_take_material_to_hands_switch.html#ae2906259965fada33745b246584679ea">ActionTakeMaterialToHandsSwitch::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html#l00034">ActionTakeMaterialToHandsSwitch.c:34</a></div></div>
<div class="ttc" id="aclass_action_take_material_to_hands_switch_html_af6cbc2a60e06e31ce65bbc07a11b42e9"><div class="ttname"><a href="../../dd/da3/class_action_take_material_to_hands_switch.html#af6cbc2a60e06e31ce65bbc07a11b42e9">ActionTakeMaterialToHandsSwitch::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html#l00008">ActionTakeMaterialToHandsSwitch.c:8</a></div></div>
<div class="ttc" id="aclass_base_building_base_html"><div class="ttname"><a href="../../dd/d90/class_base_building_base.html">BaseBuildingBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0c/_fence_8c_source.html#l00001">Fence.c:2</a></div></div>
<div class="ttc" id="aclass_base_building_base_html_a0b53f2f4465ee54a6448aa1a04ca4fb5"><div class="ttname"><a href="../../dd/d90/class_base_building_base.html#a0b53f2f4465ee54a6448aa1a04ca4fb5">BaseBuildingBase::IsPlayerInside</a></div><div class="ttdeci">override bool IsPlayerInside(PlayerBase player, string selection)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0c/_fence_8c_source.html#l00619">Fence.c:619</a></div></div>
<div class="ttc" id="aclass_c_c_i_not_present_html"><div class="ttname"><a href="../../dd/d44/class_c_c_i_not_present.html">CCINotPresent</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/da3/_c_c_i_not_present_8c_source.html#l00001">CCINotPresent.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_non_ruined_html"><div class="ttname"><a href="../../dc/ddd/class_c_c_t_non_ruined.html">CCTNonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/da0/_c_c_t_non_ruined_8c_source.html#l00001">CCTNonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_construction_action_data_html"><div class="ttname"><a href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d9b/_construction_action_data_8c_source.html#l00001">ConstructionActionData.c:2</a></div></div>
<div class="ttc" id="aclass_construction_action_data_html_a6511cef58dc75c05e837dae2a5de790c"><div class="ttname"><a href="../../d9/dd2/class_construction_action_data.html#a6511cef58dc75c05e837dae2a5de790c">ConstructionActionData::GetAttachmentsToDetachCount</a></div><div class="ttdeci">int GetAttachmentsToDetachCount()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d9b/_construction_action_data_8c_source.html#l00359">ConstructionActionData.c:359</a></div></div>
<div class="ttc" id="aclass_construction_action_data_html_ac8b3bfa8aaac007b5b27a03c6255e37e"><div class="ttname"><a href="../../d9/dd2/class_construction_action_data.html#ac8b3bfa8aaac007b5b27a03c6255e37e">ConstructionActionData::SetNextAttachmentIndex</a></div><div class="ttdeci">void SetNextAttachmentIndex()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d9b/_construction_action_data_8c_source.html#l00340">ConstructionActionData.c:340</a></div></div>
<div class="ttc" id="aclass_construction_action_data_html_ae89a40d29cae3e11dfcd3db2996f424a"><div class="ttname"><a href="../../d9/dd2/class_construction_action_data.html#ae89a40d29cae3e11dfcd3db2996f424a">ConstructionActionData::RefreshAttachmentsToDetach</a></div><div class="ttdeci">void RefreshAttachmentsToDetach(EntityAI target, string main_part_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d9b/_construction_action_data_8c_source.html#l00335">ConstructionActionData.c:335</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_interact_action_input_html"><div class="ttname"><a href="../../d5/d8d/class_interact_action_input.html">InteractActionInput</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df5/_action_input_8c_source.html#l00534">ActionInput.c:535</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00101">ActionConstants.c:102</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html_ad68a4f395e456deba7be4a17a84e2e4b"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html#ad68a4f395e456deba7be4a17a84e2e4b">UAMaxDistances::BASEBUILDING</a></div><div class="ttdeci">const float BASEBUILDING</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00108">ActionConstants.c:108</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_10c38a35488a6c6e18a576a925896ff8.html">SingleUse</a></li><li class="navelem"><a class="el" href="../../d1/d2a/_action_take_material_to_hands_switch_8c.html">ActionTakeMaterialToHandsSwitch.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
